Bug 650504 - Bad icons on Xfce FC14
Summary: Bad icons on Xfce FC14
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Thunar
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-06 19:27 UTC by Felipe Contreras
Modified: 2010-11-19 00:11 UTC (History)
5 users (show)

Fixed In Version: libxfcegui4-4.6.4-3.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-19 00:00:44 UTC
Type: ---


Attachments (Terms of Use)
Screenshot (45.82 KB, image/png)
2010-11-06 19:27 UTC, Felipe Contreras
no flags Details


Links
System ID Priority Status Summary Last Updated
Xfce 6786 None None None Never

Description Felipe Contreras 2010-11-06 19:27:22 UTC
Created attachment 458362 [details]
Screenshot

On FC14 many icons are gone. They look fine on GNOME... Maybe a mismatch on the GNOME theme?

Comment 1 Christoph Wickert 2010-11-06 19:40:24 UTC
The icon naming spec changed upstream and Xfce has not yet adopted the new spec. We will need to patch a lot or change the icon theme.

What icon theme are you using on this screenshot?

Lets use this bug as the central tracker bug for all missing/wrong icons:

Main menu -> Preferences -> File manager: missing
Thunar's Copy/Move progress dialog: stock image broken
Desktop icon in Thunar: correct icon, but way too large (48x48 px).

Any more missing icons spotted?

Comment 2 Felipe Contreras 2010-11-06 19:49:57 UTC
(In reply to comment #1)
> The icon naming spec changed upstream and Xfce has not yet adopted the new
> spec. We will need to patch a lot or change the icon theme.
> 
> What icon theme are you using on this screenshot?

GNOME

> Lets use this bug as the central tracker bug for all missing/wrong icons:
> 
> Main menu -> Preferences -> File manager: missing

Main menu -> Preferences -> Removable Drives and Media: missing

Most of the stuff in the file manager: external drivers, devices, folders, archives, unknown files... It's hard to tell, at least "folders" and "unknown files" would be needed in order to identify the rest.

Comment 3 Christoph Wickert 2010-11-06 21:36:11 UTC
Thanks for the hint with thunar-volman. I'm going to fix it now.

For thunar there are many mime types missing, e.g. rpm. Let's collect everything first before we make lots of different builds that only fix one icon each.

For reference: http://standards.freedesktop.org/icon-naming-spec/icon-naming-spec-latest.html

Comment 4 Christoph Wickert 2010-11-06 21:49:23 UTC
Another missing icon: Left click on an image -> "Set as wallpaper"

Comment 5 Fedora Update System 2010-11-06 22:30:09 UTC
thunar-volman-0.3.80-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/thunar-volman-0.3.80-5.fc14

Comment 6 Felipe Contreras 2010-11-06 23:06:28 UTC
(In reply to comment #5)
> thunar-volman-0.3.80-5.fc14 has been submitted as an update for Fedora 14.
> https://admin.fedoraproject.org/updates/thunar-volman-0.3.80-5.fc14

Is this supposed to be fixing something? I see the icon of "Removable Drives and Media" now, but that's it. Everything else is still broken.

Comment 7 Christoph Wickert 2010-11-06 23:15:35 UTC
of co(In reply to comment #6) 
> Is this supposed to be fixing something?

Of course not. Thunar will be treated with a separate update once we have identified all missing bits. Sorry if my wording was unclear.

> I see the icon of "Removable Drives and Media" now, but that's it. Everything else is still broken.

What is "everything else"? The thunar-volman preferences dialog now has it's icons. Anything I missed?

Comment 8 Felipe Contreras 2010-11-06 23:50:25 UTC
(In reply to comment #7)
> > I see the icon of "Removable Drives and Media" now, but that's it. Everything else is still broken.
> 
> What is "everything else"? The thunar-volman preferences dialog now has it's
> icons. Anything I missed?

You mean "Removable Drives and Media"? Yeah it looks fine now.

Comment 9 Christoph Wickert 2010-11-07 12:11:20 UTC
(In reply to comment #1)
> Desktop icon in Thunar: correct icon, but way too large (48x48 px).

Sorry, this is a false positive, it is only too large on F13.

Comment 10 Fedora Update System 2010-11-07 12:26:44 UTC
xfce4-places-plugin-1.2.0-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/xfce4-places-plugin-1.2.0-3.fc14

Comment 11 Christoph Wickert 2010-11-07 17:36:48 UTC
More problems in the 'add new items' dialog of xfce4-panel:

xfce4-panel: generic launcher lacks icon
xfce4-cddrive-plugin: missing icon
xfce4-cpugraph-plugin: mouse instead of something meaningful
xfce4-cellmodem-plugin: mouse
xfce4-genmon-plugin: mouse
xfce4-mailwatch-plugin: missing
xfce4-netload-plugin: missing
xfce4-quicklauncher-plugin: missing
xfce4-smartbookmark-plugin: missing

Comment 12 Konstantin Svist 2010-11-07 18:31:57 UTC
The following file types are missing icons in Thunar:  ps, pdf, sh, zip/tar/bz2/gz

Comment 13 Rahul Sundaram 2010-11-07 20:18:32 UTC
This might be a silly question but instead of updating one by one several packages and trying to fix this problem with a lot of churn, wouldn't it be easier to switch to the same icon theme as GNOME for this release and then fix the problems in Rawhide?

Comment 14 Christoph Wickert 2010-11-07 20:41:33 UTC
Indeed, this is a silly question. ;)

We *ARE* using the icon set from GNOME. In order to get the icons back we could just tell everybody to switch to xfce4-icon-theme but then icons in GNOME applications will be missing.

There are two options to address this problem:
1. We fix the applications. We will also port xfce4-icon-theme to the new naming scheme.
2. GNOME brings back the compatibility symlinks they removed.

While 2. would be easier for us, it is not going to happen. It took the GNOME people 2 releases to make everything work with the new naming. They say that the old icon theme was unmaintainable and I think I agree.

Even if they are willing to do it: Switching back to the old naming is a step in the wrong direction: It will make Xfce incompatible with other icon sets and would just delay the switch to F15.

ATM this switch is happening in Xfce 4.8 upstream too, but as the release has not made it into F14, we need to do it on our own. It's also a great opportunity for Fedora to help Xfce. Some of my patches were already upstreamed.

Comment 15 Christoph Wickert 2010-11-07 20:50:03 UTC
Ouch, I just discovered that there is the gnome-icon-theme-legacy package. 

Kevin, should we just make one package depend on the -legacy package for F14?

Comment 16 Kevin Fenzi 2010-11-07 20:55:49 UTC
ah ha. I didn't know anything about that package, but yes, if that will get f14 working ok, lets do that and fix it properly in rawhide/4.8. 

Add to Thunar perhaps?

Comment 17 Rahul Sundaram 2010-11-07 21:14:40 UTC
Christoph, I might have misunderstood the details but yes the point of the question was basically,  is there a way to avoid the churn by trying to fix this problem by upgrading many packages one by one.  Not pointing fingers but I am surprised that this wasn't fixed before the release since it seems to be highly visible and has a easy fix (add a fake dependency on the legacy package somewhere in the stack)

Comment 18 Christoph Wickert 2010-11-07 21:17:33 UTC
Kevin and I agreed on making libxfcegui4 require gnome-icon-theme-legacy. The thunar-volman update is needed nevertheless, but the Thunar update from bug 647734 is not.

Comment 19 Christoph Wickert 2010-11-07 21:20:58 UTC
Rahul, your question was justified, it was the right question in fact as I found the -legacy package after that. :)

I agree this problem should have been fixed before release, but I was just to busy to test and I wonder why our testers who ran the desktop validation testing did not spot it. I thin this also is a lack of communication, the maintainer of gnome-icon-theme should have clearly communicated this change.

Comment 20 Rahul Sundaram 2010-11-07 21:33:37 UTC
Perhaps you can add the info to

https://fedoraproject.org/wiki/Fedora_14_QA_Retrospective

Not that a few missing icons is a huge deal but it is pretty visible.  Lets try and do better for Fedora 15.

Comment 21 Fedora Update System 2010-11-07 22:16:11 UTC
libxfcegui4-4.6.4-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libxfcegui4-4.6.4-3.fc14

Comment 22 Christoph Wickert 2010-11-07 22:27:40 UTC
(In reply to comment #20)
> Perhaps you can add the info to
> 
> https://fedoraproject.org/wiki/Fedora_14_QA_Retrospective

Done. I also added it to the F14 common bugs page:
https://fedoraproject.org/wiki/Common_F14_bugs#xfce_missing_icons

Comment 23 Felipe Contreras 2010-11-07 22:51:47 UTC
Works for me :)

Comment 24 Fedora Update System 2010-11-08 22:43:50 UTC
libxfcegui4-4.6.4-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libxfcegui4'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/libxfcegui4-4.6.4-3.fc14

Comment 25 Fedora Update System 2010-11-19 00:00:28 UTC
libxfcegui4-4.6.4-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2010-11-19 00:11:08 UTC
thunar-volman-0.3.80-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.